# /etc/csh.login

# System wide environment and startup programs for csh users


# (pixel) tcsh doesn't handle directory in the PATH being non-readable
# in security high, /usr/bin is 751, aka non-readable
# using unhash fixes the pb
if (! -r /usr/bin) then
  unhash
endif


if ($?PATH) then
	setenv PATH "${PATH}:/usr/X11R6/bin"
else
	setenv PATH "/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin"
endif

limit coredumpsize unlimited

[ `id -gn` = `id -un` -a `id -u` -gt 14 ]
if $status then
	umask 022
else
	umask 002
endif

setenv HOSTNAME `/bin/hostname`
set history=1000

if (-d /etc/profile.d) then
	set nonomatch
        foreach i ( /etc/profile.d/*.csh )
		if (-r $i) then
               		source $i
		endif
        end
	unset i nonomatch
endif
